close all
clear 

%options
material = 'denim'; cloth_size = 'A2'; corners = 'two'; type = 'normal'; rep = '2';
file_name = [material '_' cloth_size '_' corners '_corners_' type '_rep' rep '.csv'];

%all data
A = readmatrix(file_name);

%remove the first non-informative rows
A = A(6:end,:); 

% read times and make times(1) = 0
times = A(:,2); times = times - times(1);

%XYZ coordinates of all recorded nodes
B = A(:,3:end); %avoid times and frames columns
n_coord = size(B,2); %total number of coordinates
n_nodes = n_coord/3; %total number of nodes
%split X Y and Z coordinates
ind_x = 1:3:n_coord; ind_y = ind_x + 1; ind_z = ind_y + 1; 
%switch Y and Z
xx = B(:,ind_x); zz = B(:,ind_y); yy = B(:,ind_z);

%first frame
frm = 1; X = [xx(frm,:)',yy(frm,:)',zz(frm,:)'];

%first frame
fig = scatter3(X(:,1),X(:,2),X(:,3)); 
esc = 1;
xlim(esc*[-1.25 0.75]); zlim(esc*[0.75 1.75]); ylim(esc*[0.25 1.25]);
camzoom(1.5); 
axis off

%movie
for frm = 2:length(times)
    pause(0.1*(times(frm)-times(frm-1)))
    fig.XData = xx(frm,:);
    fig.YData = yy(frm,:);
    fig.ZData = zz(frm,:);
end
      




